org.wildfly.swarm.config.management.security_realm

## Class PropertiesAuthorization<T extends PropertiesAuthorization<T>>

- java.lang.Object
- - org.wildfly.swarm.config.management.security_realm.PropertiesAuthorization<T>

-     public class PropertiesAuthorization<T extends PropertiesAuthorization<T>>
      extends Object

  Configuration to use properties file to load a users roles. The entries within the properties file are username={roles} where roles is a comma separated list of users roles.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertiesAuthorization()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `String` | `path()` The path of the properties file containing the users roles.
    `T` | `path(String value)` The path of the properties file containing the users roles.
    `String` | `relativeTo()` The name of another previously named path, or of one of the standard paths provided by the system.
    `T` | `relativeTo(String value)` The name of another previously named path, or of one of the standard paths provided by the system.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertiesAuthorization

          public PropertiesAuthorization()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### path

          public String path()

      The path of the properties file containing the users roles.

    - #### path

          public T path(String value)

      The path of the properties file containing the users roles.

    - #### relativeTo

          public String relativeTo()

      The name of another previously named path, or of one of the standard paths provided by the system. If 'relative-to' is provided, the value of the 'path' attribute is treated as relative to the path specified by this attribute.

    - #### relativeTo

          public T relativeTo(String value)

      The name of another previously named path, or of one of the standard paths provided by the system. If 'relative-to' is provided, the value of the 'path' attribute is treated as relative to the path specified by this attribute.

Copyright © 2017 JBoss by Red Hat. All rights reserved.